from setuptools import setup, find_packages

from tek.config.write import write_pkg_config

write_pkg_config('.', 'tek_utils.conf', 'tek_utils')
write_pkg_config('.', 'sharehoster.conf', 'sharehoster')

setup(
    name='tek_utils',
    version='2.0.0',
    packages=find_packages(exclude=['tests', 'tests.*']),
    data_files=[('share/tek_utils/config',
                 ['tek_utils.conf', 'sharehoster.conf'])],
    install_requires=['requests', 'tek', 'lxml', 'ThePirateBay', 'pyquery'],
    entry_points={
        'console_scripts': [
            'iptabler = tek_utils.iptables:iptabler',
            'extract = tek_utils.extract:extract',
            'shget = tek_utils.sharehoster:shget',
            'tget = tek_utils.sharehoster:tget',
            'sh_release = tek_utils.sharehoster.search:sh_release',
            'gain_collection = tek_utils.gain:gain_collection',
            'process_album = tek_utils.process_album:process_album',
        ]
    }
)
